Update notification settings for user
PUT
/notifications/me/settings
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Put, RequestUri = new Uri("https://api.ethos.network/api/v2/notifications/me/settings"), Headers = { { "X-Ethos-Api-Key", "<X-Ethos-Api-Key>" }, }, Content = new StringContent("{ \"settings\": { \"additionalProperty\": { \"listDisabled\": true, \"pushDisabled\": true } } }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.ethos.network/api/v2/notifications/me/settings"
payload := strings.NewReader("{ \"settings\": { \"additionalProperty\": { \"listDisabled\": true, \"pushDisabled\": true } } }")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Ethos-Api-Key", "<X-Ethos-Api-Key>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"settings\": { \"additionalProperty\": { \"listDisabled\": true, \"pushDisabled\": true } } }");Request request = new Request.Builder() .url("https://api.ethos.network/api/v2/notifications/me/settings") .put(body) .addHeader("X-Ethos-Api-Key", "<X-Ethos-Api-Key>") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'PUT', url: 'https://api.ethos.network/api/v2/notifications/me/settings', headers: {'X-Ethos-Api-Key': '<X-Ethos-Api-Key>', 'Content-Type': 'application/json'}, data: {settings: {additionalProperty: {listDisabled: true, pushDisabled: true}}}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.ethos.network/api/v2/notifications/me/settings';const options = { method: 'PUT', headers: {'X-Ethos-Api-Key': '<X-Ethos-Api-Key>', 'Content-Type': 'application/json'}, body: '{"settings":{"additionalProperty":{"listDisabled":true,"pushDisabled":true}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use std::str::FromStr;use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.ethos.network/api/v2/notifications/me/settings";
let payload = json!({"settings": json!({"additionalProperty": json!({ "listDisabled": true, "pushDisabled": true })})});
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("X-Ethos-Api-Key", "<X-Ethos-Api-Key>".parse().unwrap()); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.request(reqwest::Method::from_str("PUT").unwrap(), url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request PUT \ --url https://api.ethos.network/api/v2/notifications/me/settings \ --header 'Content-Type: application/json' \ --header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>' \ --data '{ "settings": { "additionalProperty": { "listDisabled": true, "pushDisabled": true } } }'wget --quiet \ --method PUT \ --header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>' \ --header 'Content-Type: application/json' \ --body-data '{ "settings": { "additionalProperty": { "listDisabled": true, "pushDisabled": true } } }' \ --output-document \ - https://api.ethos.network/api/v2/notifications/me/settingsAuthorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
settings
required
object
key
additional properties
object
listDisabled
required
boolean
pushDisabled
required
boolean
Example generated
{ "settings": { "additionalProperty": { "listDisabled": true, "pushDisabled": true } }}Responses
Section titled “Responses”Successful response
Media typeapplication/json
Example generated
exampleInvalid input data
Media typeapplication/json
Invalid input data error (400)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "BAD_REQUEST", "message": "Invalid input data", "issues": []}Authorization not provided
Media typeapplication/json
Authorization not provided error (401)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "UNAUTHORIZED", "message": "Authorization not provided", "issues": []}Insufficient access
Media typeapplication/json
Insufficient access error (403)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "FORBIDDEN", "message": "Insufficient access", "issues": []}Not found
Media typeapplication/json
Not found error (404)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "NOT_FOUND", "message": "Not found", "issues": []}Internal server error
Media typeapplication/json
Internal server error error (500)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "INTERNAL_SERVER_ERROR", "message": "Internal server error", "issues": []}